[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'fpjson' (#fcl)

# TJSONData.GetPath

Get data by name

## Declaration

Source position: fpjson.pp line 158

`public function TJSONData.GetPath(`
`const APath: TJSONStringType`
`):TJSONData;`

## Arguments

`APath` |  | The path of the data element to retrieve.

## Function result

The found data element

## Description

GetPath is identical to FindPath but raises an exception if no element was found. The exception message contains the piece of path that was not found.

## Errors

An EJSON exception is raised if the path does not exist.

## See also

FindPath |  | Find data by name